// 升级包管理相关接口
import request from '../index'

// 列表
export function getPackageListPage(data: any) {
  return request({
    url: `/device/version/list-page?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 新建
export function addPackage(data: any) {
  return request({
    url: `/device/version/add`,
    method: 'post',
    data,
  })
}
// 更新
export function updatePackage(data: any) {
  return request({
    url: `/device/version/update`,
    method: 'post',
    data,
  })
}
// 删除
export function deletePackage(ids: string[]) {
  return request({
    url: `/device/version/delete`,
    method: 'post',
    data:{
      ids
    },
  })
}
